Bug 186847

Summary: need Accessibility support for input method modules
Product: [Fedora] Fedora Reporter: Lawrence Lim <llim>
Component: gtk2Assignee: Matthias Clasen <mclasen>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i18n-bugs, james.su, petersen, tools-bugs, yshao
Target Milestone: ---Keywords: FutureFeature, i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-04 01:08:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 169147    
Attachments:
Description Flags
exposing scim AT information none

Description Lawrence Lim 2006-03-26 21:09:56 EST
Description of problem:
Our automation framework relies on the assistive information provided by
applications. At the moment, scim icon on the systray does not provide enough
information to facilitate automation (pls see attached screenshot). 

Version-Release number of selected component (if applicable):
scim-1.4.4-9

How reproducible:
Always

Steps to Reproduce:
1.use at-poke or sniff application to seek AT information
2.
3.
  
Actual results:
not enough information

Expected results:
sufficient information to allow automation

Additional info:
Comment 1 Jens Petersen 2006-03-27 22:24:05 EST
You're going to attach a screenshot? :)
Comment 2 Lawrence Lim 2006-03-27 22:28:38 EST
Created attachment 126875 [details]
exposing scim AT information

Oops..sorry. :-)
Comment 3 Jens Petersen 2006-03-29 08:17:17 EST
Tooltips doesn't help btw does it?
Comment 4 Lawrence Lim 2006-03-29 08:52:09 EST
That may increase the complexity because it requires mouse-over to reveal the
tooltips? 
Comment 5 Jens Petersen 2007-11-07 20:34:14 EST
Is this still important for QE automated testing?
Comment 6 Lawrence Lim 2007-11-19 20:10:02 EST
I think it is a good feature worth considering for F9 with QT4 will support
AT-SPI on X11 Systems.

<http://doc.trolltech.com/4.0/qt4-accessibility.html>

Comment 7 Tony Fu 2008-09-09 23:12:50 EDT
requested by Jens Petersen (#27995)
Comment 9 Matthias Clasen 2014-09-04 01:08:04 EDT
this needs to be done upstream, and for gtk3 at this point